<?php

namespace App\Services\Cart\Contracts;

interface CartServiceContract
{


    public function addItem(array $item);
    public function removeItem(array $item);
    public function getItems(int|string $key);
    public function total();
    public function item(array $item): array;
    public function clear();
}
